# Contributing to Sierra

👍🎉 First off, thanks for taking the time to contribute! 🎉👍

<!---
- [@chaitan94](https://github.com/Chaitan94)
- [@TechnologyClassroom](https://github.com/TechnologyClassroom)
--->
_________________________________

## Table of contents

- [Link to Important Resources](#Links-to-Important-Resources)
- [How can I contribute?](#How-can-I-contribute?)
  - [How to report a Bug?](#Reporting-a-bug)
  - [How to suggest a feature?](#Requesting-a-feature)
_________________________________

## Links to Important Resources

- [Documentation](https://brainstormyourwayin.github.io/sierra.github.io/)
- [Bug Tracker](https://github.com/BrainStormYourWayIn/sierra/issues)
_________________________________

## How can I contribute?

### Reporting a bug

This section guides you through submitting a bug report for Sierra. Following these guidelines helps maintainers and the community understand your report , reproduce the behavior, and find related reports.

Checked that your [issue isn't already filed](https://github.com/BrainStormYourWayIn/sierra/issues?q=is%3Aissue). When you are creating a bug report, please **include as many details as possible**. Fill out the [required template](https://github.com/BrainStormYourWayIn/sierra/blob/main/.github/ISSUE_TEMPLATE/bug_report.md), the information it asks for helps us resolve issues faster.

#### How do I submit a (good) bug report?

Explain the problem and include additional details to help maintainers reproduce the problem:
- **Use a clear and descriptive title** for the issue to identify the problem.
- **Describe the exact steps which reproduce the problem** in as many details as possible. For example, start by explaining what you want to do. When listing steps, don't just say what you did, but explain how you did it.
- **Provide specific examples to demonstrate the steps**. Include links to files or GitHub projects, or copy/pasteable snippets (use Minimal Reproducible examples, if possible), which you use in those examples. If you're providing snippets in the issue, use [Markdown code blocks](https://help.github.com/articles/markdown-basics/#multiple-lines).
- **Explain what output do you expected to see instead and why**.
- **Provide extra information** regarding the problem (if possible).

### Requesting a feature

This section guides you through submitting a bug report for Sierra. Following these guidelines helps maintainers and the community understand your report , reproduce the behavior, and find related reports.

#### Before Submitting An Enhancement Suggestion
- Check if there is already an [enhancement request isn't already filed](https://github.com/BrainStormYourWayIn/sierra/issues?q=label%3Aenhancement+).
- Determine [which file the enhancement should be suggested in](https://github.com/BrainStormYourWayIn/sierra/tree/main/src/sierra).

#### How Do I Submit A (Good) Enhancement Suggestion?
